#### 3.20.5 mailutils ldflags ¶

The `mailutils ldflags` command is a counterpart of `cflags` which is used for linking. It constructs a `ld` command line for linking a program with Mailutils.

When used without arguments, it outputs `ld` arguments which would link only with the core Mailutils library `libmailutils`, e.g.:

    $ mailutils ldflags
    -L/usr/local/lib -lmailutils

This command accepts a number of keywords which allow to select a particular subset of Mailutils libraries to link with. In particular, the argument ‘`all`’ instructs it to link in all available libraries:

    $ mailutils ldflags all
    -L/usr/local/lib -lmu_mbox -lmu_mh -lmu_maildir -lmu_imap -lmu_pop \
    -lmu_mailer -lmu_compat -lmailutils -lmu_auth -lgsasl -lgnutls -lgcrypt \
    -lldap -lgnuradius -lpam -ldl

Other available keywords are:

mbox

  Link in the UNIX mbox format support.

mh

  Link in the MH format support.

maildir

  Link in the Maildir format support.

imap

  Link in the IMAP protocol support.

pop

  Link in the POP protocol support.

mailer

  Enable support for mailers.

sieve

  Link in the support for Sieve mail filtering language.

dbm

  Link in the support for DBM databases (libmu_dbm library).

auth

  Link in the Mailutils authentication library.

guile

  Provide Guile language bindings.

python

  Provide Python language bindings.